image: docker.doit.wisc.edu/registrar/angular-cli-builder:1.2.0

variables:
  S3_BUCKET_NAME: dev-enroll-app-frontend
  TEST_S3_BUCKET_NAME: test-enroll-app-frontend
  DEV_CFDIST_ID: E2LLRLV3LNB0E3
  TEST_CFDIST_ID: E2YFQBS58TTJRA

stages:
  - build
  - deploy

build:
  stage: build
  script:
    - npm install
    - ng build --prod --base-href /degree-planner --deploy-url /degree-planner/

deploy:
  stage: deploy
  script:
    - npm install
    - npm version patch && node ./update-version.js
    - ng build --prod --base-href /degree-planner --deploy-url /degree-planner/
    - aws s3 sync --acl public-read --sse --delete dist/course-search-enroll-fe s3://$S3_BUCKET_NAME
    - aws configure set preview.cloudfront true
    - aws cloudfront create-invalidation --distribution-id $DEV_CFDIST_ID --paths '/*'
  only:
    - master@adi-ia/course-search-enroll-fe

deploy_test:
  stage: deploy
  script:
    - npm install
    - ng build --prod --base-href /degree-planner --deploy-url /degree-planner/
    - aws s3 sync --acl public-read --sse --delete dist/course-search-enroll-fe s3://$TEST_S3_BUCKET_NAME
    - aws configure set preview.cloudfront true
    - aws cloudfront create-invalidation --distribution-id $TEST_CFDIST_ID --paths '/*'
  only:
    - master@adi-ia/course-search-enroll-fe
  when: manual
